#include <stdio.h>
#include "mymatrix.h"

void print(struct matrix m) 
{
  int i,j;
  for (i=0; i<m.rows; i++) {
    for (j=0; j<m.cols; j++) 
      printf("%8.2g ",*matrix_element(&m,i,j));
    printf("\n");
  }
}

int main() 
{
  struct matrix A;
  matrix_construct(&A, 5, 5);
  matrix_fill(&A, 0.0);
  *matrix_element(&A, 0, 0) = 1.3;
  *matrix_element(&A, 4, 3) = -5.2;
  *matrix_element(&A, 1, 3) = -3.3e-4;
  print(A);
  matrix_destruct(&A);
}

