#include <stdlib.h>
#include "mymatrix.h"

void matrix_construct(struct matrix* m,int r,int c) 
{
  m->elements=(double*)malloc(sizeof(double)*r*c);
  if (m->elements==0) 
    exit(1); /* exit program */
  m->rows=r;
  m->cols=c;
}

void matrix_destruct(struct matrix* m) 
{
  free(m->elements);
}

double* matrix_element(struct matrix* m, int i, int j) 
{
  return m->elements+i*m->cols+j;
}

void matrix_fill(struct matrix *m, double value) 
{
  int i,j;
  for (i=0; i < m->rows; i++) 
    for (j=0; j < m->cols; j++) 
      *matrix_element(m,i,j)=value;
}

