#ifndef _MYMATRIXH_
#define _MYMATRIXH_
/* struct to hold a matrix */
struct matrix {
  int rows, cols;   /* matrix dimensions */
  double* elements; /* points to elements */
};
/* initialize matrix (needed before usage) */
void matrix_construct(struct matrix* m, int r, int c);
/* free memory held by matrix (do after last usage) */
void matrix_destruct(struct matrix* m);
/* set all matrix elements to value */
void matrix_fill(struct matrix* m, double value);
/* access matrix elements (through a pointer) */
double* matrix_element(struct matrix* m, int i, int j);
#endif
