#include <iostream>
#include <fstream>
#include "mymatrix.h"
int main() {
  matrix A(5,5);
  A.fill(0.0);
  A(0,0) = 1.3;
  A(4,3) = -5.2;
  A(1,3) = -3.3e-4;

  //Regular non-virtual syntax
  squarematrix Q(5,5);
  Q.fill(1.6);
  std::cout << "Squarematrix Q \n";
  std::cout << Q;
  std::cout << "Trace = "<<Q.trace()<<std::endl;

  //Pointer setup for Virtual
  matrix *P;
  P = new squarematrix(5,5);
  P->fill(2.3);
  
  std::cout << "Squarematrix P \n";
  std::cout << *P;


}
