#include <iostream>
#include "mymatrix.h"
void print(matrix& m) 
{
  for (int i=0; i<m.rows; i++) {
    for (int j=0; j<m.cols; j++) 
      std::cout << matrix_element(m,i,j) << " ";
    std::cout << "\n";
  }
}

int main() 
{
  matrix A;
  matrix_construct(A, 5,5);
  matrix_fill(A,0.0);
  matrix_element(A,0,0) = 1.3;
  matrix_element(A,4,3) = -5.2;
  matrix_element(A,1,3) = -3.3e-4;
  print(A);
  matrix_destruct(A);
}
