#ifndef _MYMATRIXH_
#define _MYMATRIXH_
// struct to hold a matrix
struct matrix {
  int rows, cols;   // matrix dimensions
  double* elements; // points to elements
};
// initialize matrix (needed before usage)
void matrix_construct(matrix& m, int r, int c);
// free memory held by matrix (do after last usage) 
void matrix_destruct(matrix& m);
// access matrix elements (through a pointer)
double& matrix_element(matrix& m, int i, int j);
// set all matrix elements to value
void matrix_fill(matrix& m, double value);
#endif
