#ifndef _MYMATRIXH_
#define _MYMATRIXH_
// class to hold a matrix
class matrix {
private:
  int rows, cols; // matrix dimensions
  double* elements; // points to elements
public: 
  // initialize matrix (when defined)
  matrix();
  matrix(int r, int c);
  matrix(matrix& m);
  matrix& operator=(matrix& m); 
  ~matrix();
  int get_rows();
  int get_cols();
  void fill(double value);
  
  matrix& operator+= (const matrix &C);
  double& operator() (int i, int j);
};
std::ostream& operator<<(std::ostream& o, matrix& m);
#endif
