#ifndef _MYMATRIXH_
#define _MYMATRIXH_
// class to hold a matrix
class matrix {
private:
  int rows, cols;   // matrix dimensions
  double* elements; // points to elements
public:
  // initialize matrix (when defined)
  matrix();
  matrix(int r, int c);
  matrix(matrix& m);
  // assign when already existing
  matrix& operator=(matrix& m);
  // free memory held by matrix 
  ~matrix();
  // return number of rows
  int get_rows();
  // return number of columns
  int get_cols();
  // access matrix elements
  double& element(int i, int j);
  // set all matrix elements to value
  void fill(double value);
};
#endif
