#include <stdlib.h>
#include "mymatrix.h"
	
void matrix_construct(matrix& m, int r, int c) 
{
  m.elements = new double[r*c];
  if (m.elements==0)
    exit(1);
  m.rows = r;
  m.cols = c;
}

void matrix_destruct(matrix& m) 
{
  delete[] m.elements;
  m.rows = 0;
  m.cols = 0;
}

double& matrix_element(matrix& m, int i, int j) 
{
  return m.elements[i*m.cols + j];
}

void matrix_fill(matrix &m, double value) 
{
  for (int i=0; i<m.rows; i++) 
    for (int j=0; j<m.cols; j++) 
      matrix_element(m,i,j)=value;
}

