#include <iostream>
#include <fstream>
#include "mymatrix.h"
int main() {
  matrix A(5,5);
  A.fill(0.0);
  A(0,0) = 1.3;
  A(4,3) = -5.2;
  A(1,3) = -3.3e-4;

  matrix B = A;     // or B(A): means the same, called copy constructor
  
  B += A;
  std::cout<<"A = \n"<<A;
  std::cout<<"B = \n"<<B;

  std::ofstream f("matrix.dat"); // open file
  f << A;                        // write matrix in it
  f.close();                     // close file
}
