#include <iostream>
#include <fstream>
#include "mymatrix.h"
int main() {

  matrix<double> A(5,5);
  A.fill(0.0);
  A(0,0) = 1.3;
  A(4,3) = -5.2;
  A(1,3) = -3.3e-4;

  matrix<int> B(5,5);
  B.fill(33);
  B(0,0) = 1;
  B(4,3) = 2;
  B(1,3) = 6;

  std::cout << B;

  matrix<double> C;         // calls default constructor
  C = A;            // calls assignment operator
  std::cout << C;

  std::ofstream f("matrix.dat"); // open file
  f << C;                        // write matrix in it
  f.close();                     // close file
}
